# Credential

Credentials pertain to the details utilized to authenticate the identity of a user or system, allowing them access to particular resources or services. In the context of a payment gateway, these credentials might encompass a username and password or API keys employed to validate the identity of the individual or system initiating a payment request. This safeguards that only authorized individuals can execute payments and access confidential financial data.

### Sandbox Credential

{% hint style="info" %}
This credential is intended to be use during development or integration stage. Any request will be process as a mock transaction and contained within the sandbox environment.
{% endhint %}

The information provided below for sandbox credentials can be utilized to test general API connectivity during development. These credentials will accept generic requests and return generic responses. If you require specific responses based on transactions, it is advisable to obtain a Sandbox API key from your Onboarding Dashboard.

{% embed url="<https://onboard.leanx.io/sandbox-credential>" %}

<table><thead><tr><th width="169">Type</th><th>Format</th></tr></thead><tbody><tr><td>Base URL</td><td>https://api.leanx.dev</td></tr><tr><td>Merchant ID</td><td>LP-44D9FDC8-MM</td></tr><tr><td>UUID</td><td><code>f11bb37b-dc4a-45cf-9607-d68f31e96e7c</code></td></tr><tr><td>Hash Key</td><td><code>6c7b9ddc3a770db6f760f6550f8ef2164447f2b4c3efd04d45b757ae6e4b09aa3bc006c4d45b6d66f5371af77209521a366ae9fef3ca9fac8d95219898babcf4</code></td></tr><tr><td>Auth Token</td><td><code>LP-44D9FDC8-MM|f11bb37b-dc4a-45cf-9607d68f31e96e7c|c8fac9c6a98f8e739854e26e205f635727d173c90bc9f842a9b0b1a75b0a708785242c3ed6e89b16789991e290367c8e334ab8bc01b8b5e5434636853fb21363</code></td></tr></tbody></table>

### Production Credential

{% hint style="info" %}
This credential should be use after development or integration is completed.  Any request will be process as a live transaction.
{% endhint %}

The same credential information type can be retrieve from your **Merchant Portal** in the **API** page.

<table><thead><tr><th width="173">Type</th><th></th></tr></thead><tbody><tr><td>Base URL</td><td>https://api.leanx.io</td></tr><tr><td>Merchant ID</td><td>Retrieve from <strong>Merchant Portal</strong></td></tr><tr><td>UUID</td><td>Retrieve from <strong>Merchant Portal</strong></td></tr><tr><td>Hash Key</td><td>Retrieve from <strong>Merchant Portal</strong></td></tr><tr><td>Auth Token</td><td>Retrieve from <strong>Merchant Portal</strong></td></tr></tbody></table>

Refer this video for step-by-step guide on how to retrieve your credential from **Merchant Portal**

{% embed url="<https://youtu.be/Mu6TwEE1zbw>" %}

### Postman Collection


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leanx.io/api-docs/credential.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
